Bug 46644 - upgrade emulators/uae to GCC 3.2.1
Summary: upgrade emulators/uae to GCC 3.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-12-31 04:00 UTC by Keith Jones
Modified: 2003-02-24 23:55 UTC (History)
0 users

See Also:


Attachments
file.diff (568 bytes, patch)
2002-12-31 04:00 UTC, Keith Jones
no flags Details | Diff
file.diff (199 bytes, patch)
2002-12-31 04:00 UTC, Keith Jones
no flags Details | Diff
uae.Makefile.diff.txt (365 bytes, text/plain)
2003-01-01 01:04 UTC, Keith Jones
no flags Details
patch-ab (543 bytes, text/plain)
2003-01-01 01:04 UTC, Keith Jones
no flags Details
patch-ab (564 bytes, text/plain)
2003-01-01 01:15 UTC, Keith Jones
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Keith Jones 2002-12-31 04:00:09 UTC
	Fix UAE so that it will build under GCC 3.2.1. This is desirable
	as we don't really want to force users to download and install
	another compiler just to install a relatively small port.

	Currently it won't, because the build process attempts to do some
	voodoo on the CPU emulation code between compilation and assembly
	in order to optimize it. AFAICT the optimization code makes a
	number of naive assumptions about the generated assembly which
	don't hold true anymore. The assembly GCC 3.2.1 generates causes
	this process to abort and dump core, halting the build process.

Fix: Being of the firm belief that the compiler knows what it's doing
	(and being unable to tell the difference between the unpatched
	port under FreeBSD 4.x and my patches under -CURRENT), I think
	that removing the offending black magic is an acceptable fix:

[New file 'patch-ab']
Then we can happily remove the dependency on GCC 2.95 from the
	port's own Makefile:
How-To-Repeat: 	# cd /usr/ports/emulators/uae
	# vi Makefile
	/USE_GCC
	dd:wq		( to remove the "USE_GCC" line )
	# make
Comment 1 Keith Jones 2003-01-01 01:04:37 UTC
Forgot to bump PORTREVISION - new diff attached, together with new patch.
Comment 2 Keith Jones 2003-01-01 01:15:05 UTC
Argh, I still didn't get this right! Revised patch-ab attached.
Comment 3 Martin Blapp freebsd_committer 2003-02-24 23:54:57 UTC
State Changed
From-To: open->closed

Committed, thanks !